RagTime5GraphInternal::PictCParser Struct Reference documentation

RagTime5GraphInternal::PictCParser Struct Referencefinal

low level: parser of picture cluster More...

Inheritance diagram for RagTime5GraphInternal::PictCParser:

## Public Types
enum | { F_nextId , F_pictList , F_pictRoot =F_pictList+3 }

## Public Member Functions
| PictCParser (RagTime5ClusterManager &parser, int type)
| constructor
| ~PictCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
std::shared_ptr< ClusterPicture > | getPictureCluster ()
| return the current cluster
void | setExpectedType (int id, int type)
| set a data id type
int | getNewZoneToParse () final
| returns to new zone to parse.
void | endZone () final
| end of a start zone call
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Member Functions
bool | parseDataZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a data block, find fSz=36, 36|36|28|28|32
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone

## Protected Attributes
std::shared_ptr< ClusterPicture > | m_cluster
| the current cluster
int | m_what
| a index to know which field is parsed : 0: main, 1: list
int | m_linkId
| the link id: 0: fieldSz=8 ?, data2: dataId+?
std::string | m_fieldName
| the actual field name
std::map< int, int > | m_expectedIdToType
| the expected id
std::stack< int > | m_idStack
| the id stack

## Private Member Functions
| PictCParser (PictCParser const &orig)=delete
| copy constructor (not implemented)
PictCParser & | operator= (PictCParser const &orig)=delete
| copy operator (not implemented)

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

low level: parser of picture cluster

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
F_nextId |
F_pictList |
F_pictRoot |

## Constructor & Destructor Documentation

## ◆ PictCParser() [1/2]

RagTime5GraphInternal::PictCParser::PictCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type )
| inline

constructor

Referenced by operator=(), and PictCParser().

## ◆ ~PictCParser()

RagTime5GraphInternal::PictCParser::~PictCParser | ( |  | ) |
| final

destructor

## ◆ PictCParser() [2/2]

RagTime5GraphInternal::PictCParser::PictCParser | ( | PictCParser const & | orig | ) |
| privatedelete

copy constructor (not implemented)

## Member Function Documentation

## ◆ endZone()

void RagTime5GraphInternal::PictCParser::endZone | ( |  | ) |
| inlinefinalvirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5GraphInternal::PictCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## ◆ getNewZoneToParse()

int RagTime5GraphInternal::PictCParser::getNewZoneToParse | ( |  | ) |
| inlinefinalvirtual

returns to new zone to parse.

-1: means no preference, 0: means first zone, ...

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getPictureCluster()

std::shared_ptr< ClusterPicture > RagTime5GraphInternal::PictCParser::getPictureCluster | ( |  | ) |
| inline

return the current cluster

Referenced by RagTime5Graph::readPictureCluster().

## ◆ operator=()

PictCParser & RagTime5GraphInternal::PictCParser::operator= | ( | PictCParser const & | orig | ) |
| privatedelete

copy operator (not implemented)

## ◆ parseDataZone()

bool RagTime5GraphInternal::PictCParser::parseDataZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlineprotected

parse a data block, find fSz=36, 36|36|28|28|32

Referenced by parseZone().

## ◆ parseField()

bool RagTime5GraphInternal::PictCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseHeaderZone()

bool RagTime5GraphInternal::PictCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlineprotected

parse the header zone

Referenced by parseZone().

## ◆ parseZone()

bool RagTime5GraphInternal::PictCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ setExpectedType()

void RagTime5GraphInternal::PictCParser::setExpectedType | ( | int | id,
|  | int | type )
| inline

set a data id type

Referenced by parseDataZone(), and parseHeaderZone().

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<ClusterPicture> RagTime5GraphInternal::PictCParser::m_cluster
| protected

the current cluster

Referenced by endZone(), getCluster(), getPictureCluster(), parseHeaderZone(), and PictCParser().

## ◆ m_expectedIdToType

std::map<int,int> RagTime5GraphInternal::PictCParser::m_expectedIdToType
| protected

the expected id

Referenced by parseDataZone(), PictCParser(), and setExpectedType().

## ◆ m_fieldName

std::string RagTime5GraphInternal::PictCParser::m_fieldName
| protected

the actual field name

Referenced by parseDataZone(), parseField(), parseHeaderZone(), parseZone(), and PictCParser().

## ◆ m_idStack

std::stack<int> RagTime5GraphInternal::PictCParser::m_idStack
| protected

the id stack

Referenced by getNewZoneToParse(), PictCParser(), and setExpectedType().

## ◆ m_linkId

int RagTime5GraphInternal::PictCParser::m_linkId
| protected

the link id: 0: fieldSz=8 ?, data2: dataId+?

Referenced by endZone(), parseDataZone(), parseZone(), and PictCParser().

## ◆ m_what

int RagTime5GraphInternal::PictCParser::m_what
| protected

a index to know which field is parsed : 0: main, 1: list

Referenced by endZone(), parseDataZone(), parseField(), parseHeaderZone(), parseZone(), and PictCParser().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx